    /*
     *  call-seq:
     *     tokenizer.text = text -> text
     *
     *  Set the text to be tokenized by the tokenizer. The tokenizer gets reset to
     *  tokenize the text from the beginning.
     */
    static VALUE
    frt_rets_set_text(VALUE self, VALUE rtext)
    {
        TokenStream *ts;
        GET_TS(ts, self);

        rb_hash_aset(object_space, ((VALUE)ts)|1, rtext);
        StringValue(rtext);
        RETS(ts)->rtext = rtext;
        RETS(ts)->curr_ind = 0;

        return rtext;
    }